%define kdeprefix /opt/kde
%define version 1.1.1
%define kderelease 1
%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define compiler egcs
%define rhseries rh5x
%define redhat redhat-release >= 5.1
%define qtrequired  qt >= 1.42 qt-egcs-10x

%define kdename kdemultimedia
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Multimedia Applications
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Patch: kdemultimedia-%{version}-redhat.patch
Group: X11/KDE/Multimedia
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: %{qtrequired} %{redhat} kdebase-%{rhseries}
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Vendor: The KDE Team
Distribution: KDE
Prefix: %{kdeprefix}
%define packages mediatool midikaraoke midi mixer cdplayer
%define mediatool kmedia
%define midikaraoke  kmid
%define midi kmidi
%define mixer  kmix
%define cdplayer kscd
%define subdirs %mediatool %midikaraoke %midi %mixer %cdplayer

%description
Multimedia applications for the K Desktop Environment.
Included: kmedia (media player); kmid (midi/karaoke player);
kmidi (midi-to-wav player/converter); kmix (mixer); kscd (CD audio player) 

%package mediatool
Summary: K Desktop Environment - Multimedia Applications - kmedia
Obsoletes: kdemultimedia
Group: X11/KDE/Multimedia
Copyright: GPL
Prefix: %{kdeprefix}
%description mediatool
This is "kmedia" from the "kdemultimedia" collection of KDE applications.
This is a media player that can play various type of multimedia objects,
such as audio (*.wav) files, MIDI music (*.mid), MPEG videos (*.mpg, *.mpeg),
and Soundtracker modules (*.mod, mod.*)

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package midikaraoke
Summary: K Desktop Environment - Multimedia Applications - kmid
Obsoletes: kdemultimedia
Group: X11/KDE/Multimedia
Copyright: GPL
Prefix: %{kdeprefix}
%description midikaraoke
This is a MIDI player, "kmid", featuring real-time graphics and karaoke
text highlighting of lyrics, from the "kdemultimedia" collection of KDE 
applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package midi
Summary: K Desktop Environment - Multimedia Applications - kmidi
Obsoletes: kdemultimedia
Group: X11/KDE/Multimedia
Copyright: GPL
Prefix: %{kdeprefix}
%description midi
This is a MIDI player, kmidi, based on the TIMIDITY midi player, from
the "kdemultimedia" collection of KDE applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package mixer
Summary: K Desktop Environment - Multimedia Applications - kmix
Obsoletes: kdemultimedia
Group: X11/KDE/Multimedia
Copyright: GPL
Prefix: %{kdeprefix}
%description mixer
This is the sound mixer control panel "kmix", from the "kdemultimedia" 
collection of KDE applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package cdplayer
Summary: K Desktop Environment - Multimedia Applications - kscd
Obsoletes: kdemultimedia
Group: X11/KDE/Multimedia
Copyright: GPL
Prefix: %{kdeprefix}
%description cdplayer
This is the cdplayer, "kscd", from the "kdemultimedia" collection of 
applications. It plays sound on compact discs, and can access the online 
CDDB database for sound track information.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."
  
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

#patch to fix the DEFAULT_PATH for config files  in kmidi
%patch -p1


%build
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure --prefix=%{kdeprefix}  --with-install-root=$RPM_BUILD_ROOT
make 


%install

cd $RPM_BUILD_DIR/%{topdir}/po
rm -rf $RPM_BUILD_ROOT/*
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
rm -rf $RPM_BUILD_DIR/%{kdename}-po
mkdir $RPM_BUILD_DIR/%{kdename}-po
cp -a $RPM_BUILD_ROOT/* $RPM_BUILD_DIR/%{kdename}-po

for subdir in %{subdirs} ; do
	rm -rf $RPM_BUILD_ROOT/*
	cd $RPM_BUILD_DIR/%{kdename}-po
        find . -name "$subdir*" | cpio -dpv $RPM_BUILD_ROOT       
        find $RPM_BUILD_ROOT -type d -exec chmod 0755 {} ';'      
	cd $RPM_BUILD_DIR/%{topdir}/$subdir
	make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
	cd $RPM_BUILD_ROOT
	tar -cvf $RPM_BUILD_DIR/$subdir.tar .%{kdeprefix}
done

cd $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -rf $RPM_BUILD_ROOT/*
        pkgdirs=""
	if   [ "$package" = "mediatool" ] ; then pkgdirs="%{mediatool}"
	elif [ "$package" = "midikaraoke" ] ; then pkgdirs="%{midikaraoke}"
	elif [ "$package" = "midi" ] ; then pkgdirs="%{midi}"
	elif [ "$package" = "mixer" ] ; then pkgdirs="%{mixer}"
	elif [ "$package" = "cdplayer" ] ; then pkgdirs="%{cdplayer}"
	fi
	for subdir in $pkgdirs ; do
		tar -xvf $RPM_BUILD_DIR/$subdir.tar
		rm $RPM_BUILD_DIR/$subdir.tar
	done
	tar -cvf $RPM_BUILD_DIR/$package.pkg.tar .
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package
done

cd $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/*
for package in %{packages} ; do
	tar -xvf $RPM_BUILD_DIR/$package.pkg.tar
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{kdename}-po
for package in %{packages} ; do
	rm -f $RPM_BUILD_DIR/file.list.%{kdename}.$package
	rm -f $RPM_BUILD_DIR/$package.pkg.tar
done

%files mediatool -f ../file.list.%{kdename}.mediatool
%files midikaraoke -f ../file.list.%{kdename}.midikaraoke
%files midi -f ../file.list.%{kdename}.midi
%files mixer -f ../file.list.%{kdename}.mixer
%files cdplayer -f ../file.list.%{kdename}.cdplayer

%changelog
* Sun Apr 18 1999 <duncan@kde.org>
- updated for KDE-1.1.1

* Sat Feb 13 1999 <duncan@kde.org>
- files in KDEDIR/share/applnk no longer treated as %config files
- fix bad /opt/kde directory permissions bug 

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms
- individual apps in subpackages
- added patch so kmidi's path to the timidity.cfg configuration file is valid
